<template>
  <div class="formulario">
    <textarea v-model="commentText" placeholder="Escribe un comentario" rows="10" cols="50"></textarea>
    
    <div class="select">
      <label>Selecciona una cara:</label>
      <select v-model="selectedFace">
        <option value="triste">Triste</option>
        <option value="normal">Normal</option>
        <option value="feliz">Feliz</option>
      </select>
    </div>
    
    <button @click="submitComment">Publicar</button>
  </div>
</template>

<script lang="ts">
export default {
  data() {
    return {
      commentText: '',
      selectedFace: 'normal',
    };
  },
  methods: {
    submitComment() {
      this.$emit('comment-submitted', {
        name: 'Pol',
        text: this.commentText,
        date: new Date().toLocaleString(),
        face: this.selectedFace,
      });
      this.commentText = ''; // Limpiar el área de texto después de la publicación
    },
  },
};
</script>

<style>
.formulario {
  margin: 20px;
}

.select {
  margin-top: 20px;
}
button {
  margin-top: 10px;
}
</style>